<?xml version="1.0"?>
<openerp>
    <data>
        <menuitem string="All Orders" id="All Orders" parent="menu_stock_root9"  groups="group_inbound_user"/>


        <record id="inbound_view_tree" model="ir.ui.view">
            <field name="name">sale.order.inbound.tree</field>
            <field name="model">sale.order</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Sales Order" edit='false' create='false'>
                    <field name="name"/>
                    <field name="order_id"/>
                    <field name="create_date"/>
                    <field name="courier_name"/>
                    <field name="state"/>
                    <field name="status"/>
                    <field name="three_p_channel"/>
                </tree>
            </field>
        </record>
        <!-- <record id="inbound_view_form" model="ir.ui.view">
            <field name="name">sale.order.inbound.form</field>
            <field name="model">sale.order</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="sale.view_order_form"/>
            <field name="arch" type="xml">

                <form string="Sales Order" edit='false' create='false'>
                    
                </form>
            </field>
        </record> -->
        <!-- <record id="inbound_view_form" model="ir.ui.view">
            <field name="name">sale.order.inbound.form1</field>
            <field name="model">sale.order</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="sale.view_order_form"/>
            <field name="arch" type="xml">
            <field name="name" position='attributes'>
                <attribute name="edit">false</attribute>
            </field>
        </field>
    </record> -->

        <record id="action_inbound_order_view" model="ir.actions.act_window">
            <field name='name'>All Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="inbound_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
        </record>
        <record id="action_inbound_mod_orders_view" model="ir.actions.act_window">
            <field name='name'>MOD Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="inbound_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">[('state','=','queued'),('is_mod','=',True)]</field>
            
        </record>

        <menuitem action="action_inbound_order_view" id="sub_menu_stock_root9" parent="All Orders" groups="group_inbound_user"/>
        <menuitem action="action_inbound_mod_orders_view" id="sub_menu_mod_orders_view" parent="All Orders" groups="group_inbound_user"/>
    </data>
</openerp>